package com.hzya.frame.home.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.home.dao.IHomeDao;
import com.hzya.frame.home.entity.HomeEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository(value = "HomeDaoImpl")
public class HomeDaoImpl extends MybatisGenericDao<HomeEntity, String> implements IHomeDao {


    @Override
    public List<HomeEntity> getAppErrorNum(HomeEntity entity) {
        List<HomeEntity> o = (List<HomeEntity>) super.selectList(getSqlIdPrifx() + "getAppErrorNum", entity);
        return o;
    }

    @Override
    public List<HomeEntity> appApiNum(HomeEntity entity) {
        List<HomeEntity> o = (List<HomeEntity>) super.selectList(getSqlIdPrifx() + "appApiNum", entity);
        return o;
    }

    @Override
    public List<HomeEntity> useApiNum(HomeEntity entity) {
        List<HomeEntity> o = (List<HomeEntity>) super.selectList(getSqlIdPrifx() + "useApiNum", entity);
        return o;
    }
    @Override
    public List<HomeEntity> sevenerrornum(HomeEntity entity) {
        List<HomeEntity> o = (List<HomeEntity>) super.selectList(getSqlIdPrifx() + "sevenerrornum", entity);
        return o;
    }
    @Override
    public List<HomeEntity> sevensuccessnum(HomeEntity entity) {
        List<HomeEntity> o = (List<HomeEntity>) super.selectList(getSqlIdPrifx() + "sevensuccessnum", entity);
        return o;
    }
    @Override
    public HomeEntity taskNumRun(HomeEntity entity) {
        HomeEntity o = (HomeEntity) super.selectOne(getSqlIdPrifx() + "taskNumRun", entity);
        return o;
    }
    @Override
    public HomeEntity taskNumStop(HomeEntity entity) {
        HomeEntity o = (HomeEntity) super.selectOne(getSqlIdPrifx() + "taskNumStop", entity);
        return o;
    }
}

